
%global meadversion 7.3.0
%global namedversion 7.3.0.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 2

%bcond_without mead

%global svnmodule JBOSSWEB_7_3_0_FINAL

%define maven_version 7.3.0.Final-redhat-2

Name:           jbossweb
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Web
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: jbossweb-7.3.0.Final-redhat-2-scm-sources.zip
Source101: jbossweb-7.3.0.Final-redhat-2-patches.zip
Source102: jbossweb-7.3.0.Final-redhat-2.pom
Source103: jbossweb-7.3.0.Final-redhat-2.jar
Source104: jbossweb-7.3.0.Final-redhat-2-javadoc.jar
Source105: jbossweb-7.3.0.Final-redhat-2-sources.jar
%endif

URL:            http://anonsvn.jboss.org/repos/jbossweb/tags/JBOSSWEB_7_2_0_FINAL/
Obsoletes:      %{name}-lib < %{epoch}:%{version}-%{release}
Provides:       %{name}-lib = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# FIXME: jboss-parent should be required
%if 0
Requires:       jboss-parent >= 0:7
%endif
%if %without mead
BuildRequires:  jboss-parent >= 0:7
%endif
# FIXME: this pkg contains xnio-api, monolithic
# FIXME: 3.0.4.GA
Requires:       jboss-xnio-base >= 0:3.0.4
%if %without mead
BuildRequires:  jboss-xnio-base >= 0:3.0.4
%endif
# FIXME: 3.1.1.GA
Requires:       jboss-logging >= 0:3.1.1
%if %without mead
BuildRequires:  jboss-logging >= 0:3.1.1
# FIXME: Why is this called jboss-logging-tools and not jboss-logging-processor
# FIXME: 1.0.3.Final
BuildRequires:  jboss-logging-processor >= 0:1.0.3
# FIXME: 1.3.1.Final
BuildRequires:  jboss-logmanager >= 0:1.3.1
# FIXME: 1.0.1.Final
BuildRequires:  jboss-servlet-api_3.0_spec >= 0:1.0.1
# FIXME: 1.0.1.Final
BuildRequires:  jboss-jsp-api_2.2_spec >= 0:1.0.1
# FIXME: 1.0.1.Final
BuildRequires:  jboss-el-api_2.2_spec >= 0:1.0.1
BuildRequires:  ecj >= 0:3.7.2
BuildRequires:  junit >= 0:4.8.2
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-injection-plugin >= 0:1.0.2
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jbossweb-%{namedversion}-%{release}-root

%description
Servlet 3.0 container.

%prep
%setup -q -n %{svnmodule} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jar
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jbossweb-%{namedversion}.jar %{buildroot}%{_javadir}/jbossweb-%{namedversion}.jar
%if 0
%{__cp} -p %{_sourcedir}/jbossweb-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossweb-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossweb-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossweb-%{namedversion}-sources.jar
%{__ln_s} jbossweb-%{namedversion}.jar %{buildroot}%{_javadir}/jbossweb.jar
%if 0
%{__ln_s} jbossweb-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossweb-javadoc.jar
%endif
%{__ln_s} jbossweb-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossweb-sources.jar

# pom
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/jbossweb-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jbossweb.pom

# depmap
%add_to_maven_depmap org.jboss.web jbossweb %{namedversion} JPP jbossweb
[ %{name} = jbossweb ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jbossweb

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE NOTICE
%{_javadir}/jbossweb-%{namedversion}.jar
%{_javadir}/jbossweb.jar
%if 0
%{_javadir}/jbossweb-%{namedversion}-javadoc.jar
%{_javadir}/jbossweb-javadoc.jar
%endif
%{_javadir}/jbossweb-%{namedversion}-sources.jar
%{_javadir}/jbossweb-sources.jar
%{_mavenpomdir}/JPP-jbossweb.pom
%{_mavendepmapfragdir}/jbossweb

%changelog
* Tue Feb 18 2014 Permaine Cheung <pcheung@redhat.com> - 7.3.0-2.Final_redhat_2.1
- Add patch for CVE-2014-0050

* Wed Jan 15 2014 Lin Gao <lgao@redhat.com> - 7.3.0-1.Final_redhat_1.1
- Update svnmodule to JBOSSWEB_7_3_0_FINAL

* Wed Jan 15 2014 Lin Gao <lgao@redhat.com> - 7.3.0-1.Final_redhat_1.1
- Update svnmodule to JBOSSWEB_7_3_0_FINAL

* Wed Jan 15 2014 Lin Gao <lgao@redhat.com> - 7.3.0-1.Final_redhat_1.1
- Update svnmodule to JBOSSWEB_7_3_0_FINAL

* Wed Jan 15 2014 Lin Gao <lgao@redhat.com> - 7.3.0-1.Final_redhat_1.1
- Upgrade to JBossWeb-7.3.0.Final-redhat-1

* Fri Aug 09 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.2-1.Final_redhat_1.1
- Upgrade to 7.2.2.Final

* Tue Jul 16 2013 Hui Wang <huwang@redhat.com> 0:7.2.1-1
- Upgrade to 7.2.1.Final

* Mon Mar 11 2013 David Walluck <dwalluck@redhat.com> 0:7.2.0-2
- add Obsoletes/Provides: %%{name}-lib

* Mon Feb 11 2013 David Walluck <dwalluck@redhat.com> 0:7.2.0-1
- release
